<html>

<head>

    <title>Risposta Form 1</title>

    <style>

        .scultura {
            background-color: green;
        }
        .architettura {
            background-color: red;
        }

        tr {
            background-color: white;
        }
    </style>

</head>

<body>

    <?php
    $valid = True;
    if (!isset($_GET["anno1"])) {
        $valid = False;
    }
    if (!isset($_GET["anno2"])) {
        $valid = False;
    }
    if (!isset($_GET["city"])) {
        
    }

    if ($_GET["city"] == "" || !filter_var($_GET["anno1"], FILTER_VALIDATE_INT) || !filter_var($_GET["anno2"], FILTER_VALIDATE_INT)) {
        $valid = False;
    }


    if (!$valid){
        echo "<h1 style='color:red'>Non hai inserito i parametri necessari</h1>";
    } else {
        $anno1 = $_GET["anno1"];
        $anno2 = $_GET["anno2"];
        $city = $_GET["city"];
        echo "<h1 style='color:green'>I parametri inseriti sono corretti</h1>";
        echo "<br>";
        echo $anno1 . " - " . $anno2 . " - " . $city;
    }

    /* String sanification for DB query */
    # $var = mysqli_real_escape_string($conn, $var); 

    echo "<br>";

    /* Establish DB connection */
    $conn = mysqli_connect ( 'localhost', 'root', '', 'opere' );

    if (mysqli_connect_errno()) {
        die ("Impossibile connettersi: " . mysqli_connect_error ());
        exit();
    } else{
        echo "Connessione avvenuta con successo.";
    }

    echo "<br>";

    $query = "SELECT autore.cognome AS autore, opera.nome AS opera, categoria
                FROM autore, opera
                WHERE autore.coda = opera.autore AND
                    anno > $anno1 AND anno < $anno2 AND opera.citta = '$city'";

    $result = mysqli_query($conn, $query);
    
    # check query error
    if (!$result){
        die ("Errore nella query: " . mysqli_connect_error ());
    }

    # Intestazione
    echo "<h1>Opere a $city per autori nati tra $anno1 e $anno2</h1>";
    echo "<br>";
    
    # tabella contenente i risultati
    if ( mysqli_num_rows($result) > 0) {
        echo "<table border=1 cellpadding=10>";
        
        /* Table header */
        echo "<tr>";
        $i = 0;
        $field_names = [];
        while($i<mysqli_num_fields($result)) { 
            $meta=mysqli_fetch_field($result); 
            echo "<th>".$meta->name."</th>"; 
            array_push($field_names, $meta->name);
            $i++; 
        } 
        echo "</tr>";
        
        /* Table content */
        while($row = mysqli_fetch_array($result)) {
            echo "<tr class='" . $row["categoria"] . "'>";
            
            foreach ($field_names as $field){
                /* String sanification for HTML */
                $safe_html = htmlspecialchars($row[$field], ENT_QUOTES | ENT_SUBSTITUTE, 'utf-8');
                echo "<td>" . $safe_html . "</td>";
            }
            echo "</tr>";
        }
        echo "</table>";

    } else {
        echo "<p> Nessun Risultato </p>";
    }



    mysqli_close($conn)
    
    ?>


</body>
</html>